Subject: Bug#914: Fwd: Re: [X2Go-User] x2go on RHEL7/CentOS7

From: Stefan Baur <[email-masked]>
Date: Wed, 5 Aug 2015 22:36:01 +0200

Forwarding this to the bug reported by Robert Dinse, in case it is of
help there.

-------- Weitergeleitete Nachricht --------
Betreff: Re: [X2Go-User] x2go on RHEL7/CentOS7
Datum: Wed, 5 Aug 2015 15:54:30 -0400 (EDT)
Von: Paul Raines <[email-masked]>
An: Robert Dinse <[email-masked]>
Kopie (CC): [email-masked]

Doing Ctrl-Alt-T to terminate in the windows client will make the windows
close but doesn't clean up the session on the server.  Reconnecting
still just
connects you to a empty background screen.

Doing a logout on the MATE desktop locally works just fine.

I am testing on pretty freshly installed and updated server and on a new
user
where I first wiped out all settings by removing all dot files/directories

This is what is still running on the server as the user after trying
to logout over X2Go

applet.py{applet.py}

at-spi-bus-laundbus-daemon
                 3*[{at-spi-bus-laun}]

at-spi2-registr{at-spi2-registr}

dbus-daemon

dbus-launch

dconf-service2*[{dconf-service}]

goa-daemon3*[{goa-daemon}]

goa-identity-se2*[{goa-identity-se}]

gvfs-afc-volume2*[{gvfs-afc-volume}]

gvfs-goa-volume{gvfs-goa-volume}

gvfs-gphoto2-vo{gvfs-gphoto2-vo}

gvfs-mtp-volume{gvfs-mtp-volume}

gvfs-udisks2-vo2*[{gvfs-udisks2-vo}]

gvfsd{gvfsd}

gvfsd-fuse4*[{gvfsd-fuse}]

gvfsd-metadata{gvfsd-metadata}

gvfsd-trash3*[{gvfsd-trash}]

mate-screensave3*[{mate-screensave}]

mate-volume-con{mate-volume-con}

nm-applet2*[{nm-applet}]

polkit-mate-aut{polkit-mate-aut}

pulseaudio{pulseaudio}

x2goagent

x2goruncommand

-- Paul Raines (http://help.nmr.mgh.harvard.edu)

On Wed, 5 Aug 2015 2:35pm, Robert Dinse wrote:

>
> On Wed, 5 Aug 2015, Paul Raines wrote:
>>
>>  We have been using x2go fairly successful on CentOS6 machines now
>>  for a while.  We are investigating upgrading to CentOS7 and I
>>  am now looking at the x2go situation
>>
>>  We get our x2go RPMS from EPEL
>>
>>  x2goagent-3.5.0.31-1.el7.x86_64
>>  x2goclient-4.0.3.1-1.el7.x86_64
>>  x2goserver-4.0.1.19-3.el7.x86_64
>>  x2godesktopsharing-3.1.1.1-1.el7.x86_64
>>
>>  So far we have not discovered
>>
>>   1) doesn't work at all with GNOME desktop giving the "Oops" screen.
>>   Web search seems to imply this is a known issue with GNOME3
>>   with no real solution though I am suprised this is not
>>   mentioned in the X2Go wiki FAQ.  I hate GNOME3 anyway so
>>   can live without it for X2Go
>>
>>   2) works partially with the KDE desktop. There is the kscreen
>>   issue that is mentioned in the FAQ.  Really unusable unless
>>   one does disable kscreen.  Need to investigate further what
>>   consequences that has on normal logins.
>>
>>   3) installed MATE from EPEL.  On first login it looks and works great
>>   but when you "Logout ..." to terminate the session it just hangs
>>   on a blank background.  If you "suspend" the session via force
>>   closing the window and then try to reconnect it fails or just
>>   takes you right back to the blank background.  One can force
>>   terminate the session with x2goterminate-session to clear it out
>>   and then get a clean login again, but I don't really want my
>>   users having to go though this.
>>
>>  So my question is really about the MATE issue which I would prefer to use.
>>  Anyone have any clues as to what might be going on or a fix?
>
>     I'm not sure if it's Mate or X2Go but when I first installed both X2Go 
> and
> Mate on CentOS7 and tested, all was good.
>
>     Now it's broken for me also but somewhat differently.  When I logout it
> just hangs with the background image that I used on my desktop.  So I use
> control-alt-M to and then click on the white seal or whatever that animal is,
> and then when I get the start-up screen back, I select terminate to terminate
> the session.
>
>     Now I tried the same thing on Scientific Linux 7, which like Centos7 is
> derived from Enterprise Linux 7, and it still works correctly, so whatever is
> broken isn't X2Go or Mate, but rather something specific to CentOS 7.
>
>
>
>
>

The information in this e-mail is intended only for the person to whom it is
addressed. If you believe this e-mail was sent to you in error and the
e-mail
contains patient information, please contact the Partners Compliance
HelpLine at
http://www.partners.org/complianceline . If the e-mail was sent to you
in error
but does not contain patient information, please contact the sender and
properly
dispose of the e-mail.